<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controlleradmin');

/**
 * Articles list controller class.
 *
 * @package		Joomla.Administrator
 * @subpackage	com_ejoshop
 * @since	1.6
 */
class EjosearchController extends JControllerLegacy
{
	/**
	 * Constructor.
	 *
	 * @param	array	$config	An optional associative array of configuration settings.

	 * @return	ContentControllerArticles
	 * @see		JController
	 * @since	1.6
	 */
	 
	public function __construct($config = array())
	{

		parent::__construct($config);


		$this->type = JRequest::getVar('type',0);
		$this->idtype = JRequest::getVar('idtype',0);
	
		if($this->type == 'category') {
			$category = JRoute::_('index.php?option=com_ejoshop&view=category&id=' . $this->idtype);
			$this->setRedirect($category);
		}
		
	}

}