<?php
/*
 * @package Joomla 3.0
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
 
defined('_JEXEC') or die('Restricted Access');
// get the controller

JLoader::register('EjosearchModel', JPATH_COMPONENT.'/models/model.php');

require_once(JPATH_COMPONENT.DS.'controllers'.DS.'controller.php');
// Require specific controller if requested
if($controller = JRequest::getWord('controller')) {
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) {
		require_once $path;
	} else {
		$controller = '';
	}
}


// Create the controller
$classname	= 'ejosearchController'.$controller;
$controller	= new $classname( );

$type = JRequest::getVar('type');
$idtype = JRequest::getVar('idtype');
$find = false;

if($type == 'category') {
	$app		= JFactory::getApplication();
	$menu		= $app->getMenu();
	$items		= $menu->getItems('component', 'com_ejoshop');

	foreach($items as $item) {
		/* if category have some menu item */
		if($item->query['view'] == 'category' && $idtype == $item->query['id']) {
			$category = JRoute::_('index.php?option=com_ejoshop&view=category&id=' . $idtype.'&Itemid='.$item->id);
			$find = true;	
		}
	}
		
		if(!$find) $category = JRoute::_('index.php?option=com_ejoshop&view=category&id=' . $idtype);
		$controller->setRedirect($category);
}
// Perform the Request task
$controller->execute( JRequest::getVar( 'task' ) );

// Redirect if set by the controller
$controller->redirect();