<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );
jimport('joomla.html.pagination');

class EjoSearchModelEjoSearch extends EjosearchModel
{
	
	var $_foobar;
	var $_editmarker;
	var $ordernumber;
	
	function __construct()
	{
		parent::__construct();
		// get the cid array from the default request hash
		$id = JRequest::getVar('id',1);
		$this->setId($id);
	}

	function setId($id)
	{
		$this->id = $id;
	}
	
	/* Serach pagination */
	
	function getPager($total = FALSE)
	{
			$catid = JRequest::getVar('id', 0, '', 'int'); //?
			$view = JRequest::getVar('view');
			$keyword = JRequest::getVar('keyword',0);
			if(!$keyword) $keyword = JRequest::getVar('searchword');
			$app = JFactory::getApplication(); 
			$db		= JFactory::getDBO();
		/* not sphinx search */
		if(!$total) {


			$query	= $db->getQuery(true);

			$params = $app->getParams();
					
			$query->from('`#__ejoshop_photos` AS photos');	
			$query->join('LEFT', '#__ejoshop_categories AS cat ON (photos.catid = cat.id)');
			$query->select('COUNT(*)');


		
			
			$query->where('photos.state = 1');
			if(!empty($keyword)) $query->where("photos.name LIKE '" . $keyword . "%'");
			$query->where('cat.id != 1');
			$query->where('cat.published = 1');
			
			$db->setQuery( $query );
			if(!$total) {
				$total = $db->loadResult();		
			}
		}
			$limit = $app->getUserStateFromRequest('ejosearch.limit', 'limit', $app->getCfg('list_limit'), 'int');
			$limitstart = JRequest::getVar('limitstart', 0);
		/* not sphinx search */
		//index.php?option=com_ejosearch&view=searchresult&keyword=word

		$page = new JPagination($total, $limitstart, $limit);
		$page->setAdditionalUrlParam('option', 'com_ejosearch');
		$page->setAdditionalUrlParam('view', 'ejosearch');
		$page->setAdditionalUrlParam('keyword', $keyword);
		return $page;
		
	}
	
	
	function textnl($text)
	{
		$text = str_replace("\r\n","<br />",$text);
		$text = str_replace("\r","<br />",$text);
		$text = str_replace("\n\n", '<p>',$text);
		$text = str_replace("\n", '<br />',$text); 
		return addslashes($text);
	}

    function number_format_drop_zero_decimals($n, $n_decimals)
    {
        return ((floor($n) == round($n, $n_decimals)) ? number_format($n) : number_format($n, $n_decimals));
    }
		


}


