<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );
jimport('joomla.html.pagination');

class EjoSearchModelGetSuggest extends EjosearchModel
{
	
	var $_foobar;
	var $_editmarker;
	var $ordernumber;
	function __construct()
	{

		parent::__construct();
		// get the cid array from the default request hash
		$id = JRequest::getVar('id',1);
		
	
	
		$this->setId($id);
	}

	function setId($id)
	{
		$this->id = $id;
	}
	
	
	function save()
	{
		jimport( 'joomla.registry.registry' );
		

		
			JError::$legacy = false;
			//ordernumber
			$db = JFactory::getDBO();
			$query = "SELECT ordernumber FROM #__csvcart_shop_order ORDER BY id DESC LIMIT 0, 1;";
			$query = $db->setQuery( $query );
			$result = $db->loadObject();
			$this->ordernumber =  $result->ordernumber;
			$this->created = gmdate('Y-m-d H:i:s');
			$this->ordernumber  = (empty($this->ordernumber)) ? 1 : (int)$this->ordernumber + 1;
			$num = $this->ordernumber;
			if($num < 100 && $num > 10) {
				$num = '00'.$num;
			} else if($num < 1000 && $num > 100) {
				$num = '0'.$num;
			} else if($num < 10) {
				$num = '000'.$num;
			} else {
					$num = $num;
			}
			//ordernumber

			$row = $this->getTable('SaveOrder', 'Table');
			$user 		= JFactory::getUser();
			$pids = $_POST['data'];
			$params = array();
			parse_str($pids, $params);
			$i = 0;
			
			$phone 	= (!empty($params['phone'])) ? $params['phone'] : '';
			$adress = (!empty($params['adress'])) ? $params['adress'] : '';
			$email 	= (!empty($params['email'])) ? $params['email'] : '';
			$fio 	= (!empty($params['fio'])) ? $params['fio'] : '';
			$usecomment 	= (!empty($params['usecomment'])) ? $params['usecomment'] : '';
			$totalprice 	= (!empty($params['totalprice'])) ? $params['totalprice'] : '';
			if(function_exists(money_format)) {
			
				$totalprice = money_format ( '%.2n' , $totalprice );
				
			} else
			
			{
				$totalprice = $this->number_format_drop_zero_decimals($totalprice, 2);	
			}
			
			$sostavzakaz = '';
			foreach($params['tovar'] as $item) {

							
				if(is_array($item)) {
		
							$row->id = false;
							$payddata = new stdClass();
							$payddata->articul = $item['articul'];
							$payddata->name = $item['name'];
							$payddata->qty = $item['qty'];
							$payddata->price = $item['price'];
							$payddata->totalprice = $totalprice;
							$payddata->status = 1;
							$payddata->created = $this->created ;
							$payddata->ordernumber = $this->ordernumber;
							$payddata->customeremail = $email;
							$payddata->phone = $phone;
							$payddata->adress = $adress;
							$payddata->username = $fio;
							$payddata->usecomment = $usecomment;
							$sostavzakaz .= $item['name'] . ' # ' . $item['articul'] .' - '.$item['qty'] . ' шт. : ' . $item['price'] . '<br />';
							
							try {
									
								$row->bind($payddata);
								$row->store();
							} catch(Exception $e) {
								print $e->getMessage();	
							}	
					
				}
			
			}
		if(isset($_SESSION['cart'])) {	
			unset($_SESSION['cart']);
		}
		$app = JFactory::getApplication(); 

		//$this->params = JComponentHelper::getParams('com_csvcart');
		$cartitemplugin = JPluginHelper::getPlugin('content','cartitem'); 
		if(!empty($cartitemplugin)) {
			
			$this->params = $cartitemplugin->params;
			$this->params = new JRegistry($this->params);
			
		
		}
		if(empty($this->params)) return json_encode(array('info'=>1));
		$bodyletter = $this->params->get('bodyletter','no');
		$sender = $this->params->get('sender','');
		$recipient = $this->params->get('recipient','');
		$recipient2 = $this->params->get('recipient2','');
		$commanetafterorder = $this->params->get('commanetafterorder','');
		//$this->params = $app->getParams();
		
		$mainframe = JFactory::getApplication();
		$pathway = $mainframe->getPathway();
		$document = JFactory::getDocument();


		$data = JRequest::getVar('data');
		$params = array();
		parse_str($data, $params);

		$whatisnotempty = JRequest::getVar('whatisnotempty');
		$wahtin = array();
		parse_str($whatisnotempty, $wahtin);
	

		$message = $params['message'];

		$title = $params['title'];
		$location = $params['location'];
		$time = $params['time'];

		
		$mailer = JFactory::getMailer();
		$sender = $sender;

		
		if(!empty($emailrecipient)) {
			
			$user = JFactory::getUser($emailrecipient);
			
		} else {
			$user = new stdClass();
			$user->email = $mainemail;
			
		}
		//$recipient = $user->email;
		$mailer->setSender($sender);

		if(!empty($recipient2)) {
			if(!empty($email) ) {
				$mailer->addRecipient(array($recipient,$recipient2,$email));
			} else {
				$mailer->addRecipient(array($recipient,$recipient2));
			}
		} else {
			$mailer->addRecipient($recipient);
		}
		
		$mailer->setSubject('Уважаемый '.$fio.'!');
		$body   = 
			'<h2>Уважаемый '.$fio.',</h2>'
			.'Ваш заказ №: '.$num.' от '.$this->created.' принят.<br /><br />'
			.'Стоимость заказа: <br />'
			.$totalprice .' руб.<br /><br />'
			.'Состав заказа: <br />'
			.$sostavzakaz .'<br /><br />'
			.$commanetafterorder;
		


		$mailer->isHTML(true);
		$mailer->Encoding = 'base64';
		$mailer->setBody($body);
		

		
		$send = $mailer->Send();
		if ( $send !== true ) {
			print json_encode(array('result'=>0,'info'=>'Error sending email!','ordernumber'=>$this->ordernumber,'created'=>$this->created));
		} else {
			print json_encode(array('result'=>1,'info'=>'Sending email!','ordernumber'=>$this->ordernumber,'created'=>$this->created));
			
		}


			return true;	
	}
	


	function getReviews()
	{
		global $option, $mainframe;
		$app = JFactory::getApplication(); 
		$limit = JRequest::getVar('limit',
		$app->getCfg('list_limit'));
		
		$limitstart = JRequest::getVar('limitstart', 0);
		$db = JFactory::getDBO();
		$query = "SELECT count(*) FROM #__map_yandex_metki";
		$db->setQuery( $query );
		$total = $db->loadResult();
		$query = "SELECT * FROM #__map_yandex_metki";
		$db->setQuery( $query, $limitstart, $limit );
		$rows = $db->loadObjectList();
		if ($db->getErrorNum()) {
			echo $db->stderr();
			return false;
		}

		return $this->pageNav = new JPagination($total, $limitstart, $limit);
		
	}
	
	
	function textnl($text)
	{
		$text = str_replace("\r\n","<br />",$text);
		$text = str_replace("\r","<br />",$text);
		$text = str_replace("\n\n", '<p>',$text);
		$text = str_replace("\n", '<br />',$text); 
		return addslashes($text);
	}

    function number_format_drop_zero_decimals($n, $n_decimals)
    {
        return ((floor($n) == round($n, $n_decimals)) ? number_format($n) : number_format($n, $n_decimals));
    }
		


}


